/*-------------------------- Parallax Standard H_File ----------------------------
   
      H_File: dde_test.h

     Purpose: This file contains the internal function prototyping for the
              main Eroica unit test program's window handling.


    $nokeywords$

--------------------------------------------------------------------------------
          Copyright (c)1996 Parallax Software , All rights reserved.            
------------------------------------------------------------------------------*/

#ifdef _WIN32

#ifndef _WINDOWS
#define _WINDOWS
#endif

#ifndef _ANSI_
#define _ANSI_
#endif

#pragma warning ( disable: 4057 )
#pragma warning ( disable: 4101 )
#pragma warning ( disable: 4115 )
#pragma warning ( disable: 4201 )
#pragma warning ( disable: 4214 )
#pragma warning ( disable: 4244 )
#pragma warning ( disable: 4514 )

#endif

#include <windows.h>
#include <ddeml.h>

/* global variables */
extern HANDLE       ghInst;
extern HWND         ghWndMain;
extern HWND         ghListBox;
extern HWND         ghListBox2;
extern char         szMainMenu[];
extern char         szMainClass[];
extern char         szStatusBarClass[];
extern char         szStatusBarTextClass[];
extern char         szShadowTextClass[];
extern HWND         ghWndStatus;
extern HCONV        ghConv;
extern HSZ          hszServerBase;
extern HSZ          hszServerInst;
extern DWORD        dwAsyncXact;
extern DWORD        idInst;

/* unit test functions */
int PASCAL WinMain(HANDLE, HANDLE, LPSTR, int);
long FAR PASCAL MainWndProc(HWND, unsigned, WORD, LONG);
long FAR PASCAL StatusBarWndProc(HWND, UINT, WPARAM, LPARAM );
long FAR PASCAL StatusBarTextWndProc(HWND, UINT, WPARAM, LPARAM );
long FAR PASCAL ShadowTextWndProc(HWND, UINT, WPARAM, LPARAM );

/* callback functions */
/* 970224 jk add WIN32 definition of callback function */
#ifndef _WIN32
HDDEDATA EXPENTRY _export DdeCallBack(WORD wType, WORD wFmt, HCONV hConv, HSZ hsz1, HSZ hsz2, HDDEDATA hData, DWORD dwData1, DWORD dwData2);
#else
_declspec(dllexport) HDDEDATA EXPENTRY DdeCallBack(WORD wType, WORD wFmt, HCONV hConv, HSZ hsz1, HSZ hsz2, HDDEDATA hData, DWORD dwData1, DWORD dwData2);
#endif

/* utinit functions */
BOOL InitApplication(HANDLE);
BOOL InitInstance(HANDLE, int);

#define STNDWIDTH  400              /* Standard size for bitmaps - used to scale */
#define STNDHEIGHT 400              /* bitmaps and window size for different     */
                                    /* screen resolutions.                       */

/* externalized variables */
extern HWND    ghWndMain;           /* handle to main window  */
extern HWND    ghListBox;           /* handle to main listbox */
extern char *pErrOnCall;

#define __MSG(msg)\
    {\
       LONG index;\
                 index=(LONG)SendMessage( ghListBox2, LB_ADDSTRING, 0, (LONG)(LPSTR)msg );\
       SendMessage( ghListBox2, LB_SETCURSEL, (WPARAM)index, (LPARAM)0 );\
                 SendMessage( ghListBox2, LB_SETCURSEL, (WPARAM)-1, (LPARAM)0 );\
    }

#define _MSG(msg)\
    {\
       LONG index;\
       index=(LONG)SendMessage( ghListBox, LB_ADDSTRING, 0, (LONG)(LPSTR)msg );\
       SendMessage( ghListBox, LB_SETCURSEL, (WPARAM)index, (LPARAM)0 );\
       SendMessage( ghListBox, LB_SETCURSEL, (WPARAM)-1, (LPARAM)0 );\
    }

#define _FMTMSG(fmt,v) { char m[120]; wsprintf(m,fmt,v); _MSG(m); }
#define _FMTMSG2(fmt,v1,v2) { char m[120]; wsprintf(m,fmt,v1,v2); _MSG(m); }
#define _FMTMSG3(fmt,v1,v2,v3) { char m[120]; wsprintf(m,fmt,v1,v2,v3); _MSG(m); }
#define _FMTMSG4(fmt,v1,v2,v3,v4) { char m[120]; wsprintf(m,fmt,v1,v2,v3,v4); _MSG(m); }

#define __FMTMSG(fmt,v) { char m[120]; wsprintf(m,fmt,v); __MSG(m); }
#define __FMTMSG2(fmt,v1,v2) { char m[120]; wsprintf(m,fmt,v1,v2); __MSG(m); }
#define __FMTMSG3(fmt,v1,v2,v3) { char m[120]; wsprintf(m,fmt,v1,v2,v3); __MSG(m); }
#define __FMTMSG4(fmt,v1,v2,v3,v4) { char m[120]; wsprintf(m,fmt,v1,v2,v3,v4); __MSG(m); }

#define _MSGBOX(msg)  MessageBox(0,(LPSTR)msg,(LPSTR)"Info",MB_OKCANCEL|MB_ICONQUESTION)

extern void LineDlg( void );


/* DDE_TEST.H */
/* end of file */


