/*-------------------------- Parallax Standard H_File ----------------------------
   
      H_File: utdde.h

     Purpose: This file contains the internal function prototyping for the
              C-interface to all Eroica DDE API's.


--------------------------------------------------------------------------------
          Copyright (c)1996 Parallax Software , All rights reserved.            
------------------------------------------------------------------------------*/

typedef int LAYERID;
typedef int DOCWINID;

typedef struct _layerformat {
   int  id;
   char desc[120];
   char ext[10];
} LAYERFORMAT;

int      img_ATOI(LPSTR inStr);
float    img_ATOF(LPSTR inStr);

HCONV    IMG_Connect( HWND ghWndMain, DWORD idInst, HSZ hszServer, HSZ ghszTopic );

/* Cerda's Add-On */
int      IMG_StartUp( HCONV ghConv );

int      IMG_ArrangeDocWins( HCONV ghConv, int arrangement );
int      IMG_Checkin( HCONV ghConv, DOCWINID docWinID, BOOL bClose );
int      IMG_CheckinAll( HCONV ghConv, BOOL bClose );
int      IMG_CloseAllDocWin( HCONV ghConv, BOOL bSave );
int      IMG_CloseDocWin( HCONV ghConv, DOCWINID docWinID, BOOL bSave );
int      IMG_CreateDocWin( HCONV ghConv, void FAR* title, DOCWINID FAR* docWinID );
int      IMG_DeleteLayer( HCONV ghConv, DOCWINID docWinID, LAYERID layerID );
int      IMG_EndEroica( HCONV ghConv );
int      IMG_ExportLayer( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, BOOL bSaveAs, void FAR* fname, void FAR* title, BOOL bOverwrite );
int      IMG_GetActiveEditLayer( HCONV ghConv, DOCWINID docWinID, LAYERID FAR* layerID );
int      IMG_GetActiveRasterLayer( HCONV ghConv, DOCWINID docWinID, LAYERID FAR* layerID );
int      IMG_GetDisplayLayer( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, BOOL FAR* bDisplay );
int      IMG_GetDocumentDirtyStatus( HCONV ghConv, DOCWINID docWinID, int FAR* status );
int      IMG_GetDocumentTitle( HCONV ghConv, DOCWINID docWinID, char FAR* title );
int      IMG_GetDocWin( HCONV ghConv, DOCWINID FAR* docWinID );
int      IMG_GetLayerDirtyStatus( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, int FAR* status );
int      IMG_GetLayerFormat( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, int FAR* format );
int      IMG_GetLayerFormatList( HCONV ghConv );
int      IMG_GetLayerIDs( HCONV ghConv, DOCWINID docWinID, LAYERID FAR* pLayers, int max, int FAR* count );
int      IMG_GetLayerTitle( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, char FAR* title );
int      IMG_GetNumberDocWins( HCONV ghConv, int FAR* count );
int      IMG_GetNumberLayers( HCONV ghConv, DOCWINID docWinID, int FAR* count );
int      IMG_GetTool( HCONV ghConv, DOCWINID docWinID, int FAR* tooltype );
int      IMG_GetWindowTitle( HCONV ghConv, DOCWINID docWinID, char FAR* title );
int      IMG_ImportLayer( HCONV ghConv, DOCWINID docWinID, void FAR* fname, void FAR* title, int layerType, LAYERID FAR* layerID );
int      IMG_Merge( HCONV ghConv, DOCWINID docWinID, int mergetype, DOCWINID FAR* newDocWinID );
int      IMG_NewDocument( HCONV ghConv, char FAR* title, char FAR* fname, DOCWINID FAR* docWinID );
int      IMG_NewLayer( HCONV ghConv, DOCWINID docWinID, int layerType, LAYERID FAR* layerID );
int      IMG_OpenDocWin( HCONV ghConv, int location, int fileType, void FAR* fname, void FAR* title, int perms, int wother, int lother, DOCWINID FAR* docWinID );
int      IMG_PrintDocWin( HCONV ghConv, DOCWINID docWinID, int pagerange, int firstpage, int lastpage, int ncopies, BOOL bUseDialog );
int      IMG_Refresh( HCONV ghConv, DOCWINID docWinID );
int      IMG_ReorderLayer( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, int position );
int      IMG_Save( HCONV ghConv, DOCWINID docWinID, BOOL bSaveAs, void FAR* fname, void FAR* title, BOOL bOverwrite );
int      IMG_SaveLayer( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, BOOL bSaveAs, void FAR* fname, void FAR* title, BOOL bOverwrite, int format, int rotation );
int      IMG_SetActiveLayer( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, BOOL bActivate );
int      IMG_SetDisplayLayer( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, BOOL bDisplay );
int      IMG_SetDocumentTitle( HCONV ghConv, DOCWINID DocWinID, void FAR* title );
int      IMG_SetDocWin( HCONV ghConv, DOCWINID docWinID, BOOL bStep, DOCWINID FAR* newDocWinID );
int      IMG_SetFocus( HCONV ghConv );
int      IMG_SetLayerTitle( HCONV ghConv, DOCWINID docWinID, LAYERID layerID, void FAR* title );
int      IMG_SetScrollStep( HCONV ghConv, DOCWINID docWinID, float scrollstep );
int      IMG_SetScrollView( HCONV ghConv, DOCWINID docWinID, int scrollmode );
int      IMG_SetTool( HCONV ghConv, DOCWINID docWinID, int tooltype );
int      IMG_SetWindowTitle( HCONV ghConv, DOCWINID docWinID, void FAR* title );
int      IMG_SetZoom( HCONV ghConv, DOCWINID docWinID, int zoomLevel, float factor, int xpos, int ypos );
int      IMG_SetZoomStep( HCONV ghConv, DOCWINID docWinID, float zoomstep );
int      IMG_ShowDocWin( HCONV ghConv, DOCWINID docWinID, int arrangement );
int      IMG_Terminate( HCONV ghConv );

int      IMG_NotifyHotSpotHighlighted( HCONV ghConv );
int      IMG_NotifyHotSpotHighlightedStop( HCONV ghConv );
int      IMG_NotifyHotSpotPlaced( HCONV ghConv );
int      IMG_NotifyHotSpotPlacedStop( HCONV ghConv );
int      IMG_NotifyHotSpot( HCONV ghConv );
int      IMG_NotifyHotSpotStop( HCONV ghConv );
int      IMG_NotifyApi( HCONV ghConv );
int      IMG_NotifyApiStop( HCONV ghConv );

int      IMG_RasterDPIChange( HCONV ghConv, int xres, int yres );
int      IMG_Despeckle( HCONV ghConv, HWND docWinId, int speckle );
int      IMG_Deskew( HCONV ghConv, HWND docWinId, float angle );
int      IMG_SetShowStatusDialogs( HCONV ghConv, BOOL status );
int      IMG_Crop( HCONV ghConv, HWND docWinId, long x1, long y1, long x2, long y2 );
int      IMG_GetDeskewLimit( HCONV ghConv, DOCWINID docWinID, LAYERID layerId, double FAR * angle );

extern   HWND           hViewWnd;

#define ARRANGE_TILE      1
#define ARRANGE_CASCADE   2
#define ARRANGE_HORZSTRIP 5
#define ARRANGE_VERTSTRIP 10

#define TYPE_UNKNOWN      0
#define TYPE_EDIT         1
#define TYPE_RASTER       2
#define TYPE_TEXT         3

#define ETYPE_REDLINE     1
#define ETYPE_EDIT        2
#define ETYPE_FULLEDIT    3
#define ETYPE_ANNOTATION  4
#define ETYPE_HOTSPOT     5

#define ZOOM_IN           1
#define ZOOM_OUT          2
#define ZOOM_FIT          3
#define ZOOM_HFIT         4
#define ZOOM_VFIT         5
#define ZOOM_ACTUAL       6
#define ZOOM_1TO1         8

#define TOOL_NONE         0
#define TOOL_CUT          1
#define TOOL_COPY         2
#define TOOL_PASTE        3
#define TOOL_LINE         4
#define TOOL_BOX          5
#define TOOL_CIRCLE       6
#define TOOL_ELLIPSE      7
#define TOOL_ARROW        8
#define TOOL_SKETCH       9
#define TOOL_POLYLINE     10
#define TOOL_POLYGON      11
#define TOOL_TEXT         12
#define TOOL_ANNOTATION   13
#define TOOL_DIMENSION    14
#define TOOL_SYMBOL       15
#define TOOL_HOTSPOT      16
#define TOOL_RUBOUT       17
#define TOOL_ERASER       18
#define TOOL_SELECT       19
#define TOOL_MOVERESIZE   22
#define TOOL_ROTATE       23
#define TOOL_CHANGETEXT   28
#define TOOL_ARC          29

#define SHOW_MINIMIZE  SW_SHOWMINIMIZED
#define SHOW_MAXIMIZE  SW_SHOWMAXIMIZED
#define SHOW_RESTORE   SW_SHOWNORMAL
#define SHOW_HIDE      SW_HIDE
#define SHOW_UNHIDE    SW_SHOWNA

#define MERGE_USER             0
#define MERGE_WHOLEDOC         1
#define MERGE_DISPLAYEDLAYERS  2
#define MERGE_ASDISPLAYED      4
#define MERGE_ACTIVERASTER     8
#define MERGE_ACTIVEEDIT       16
#define MERGE_DISPLAYEDRASTERS 32
#define MERGE_DISPLAYEDEDITS   64


#define SCROLLVIEW_CENTER         1
#define SCROLLVIEW_BOTTOMLEFT     2
#define SCROLLVIEW_BOTTOMRIGHT    3
#define SCROLLVIEW_TOPLEFT        4
#define SCROLLVIEW_TOPRIGHT       5
#define SCROLLVIEW_UPSTEP         6
#define SCROLLVIEW_DOWNSTEP       7
#define SCROLLVIEW_RIGHTSTEP      8
#define SCROLLVIEW_LEFTSTEP       9
#define SCROLLVIEW_UPPAGE        10
#define SCROLLVIEW_DOWNPAGE      11
#define SCROLLVIEW_LEFTPAGE      12
#define SCROLLVIEW_RIGHTPAGE     13
#define SCROLLVIEW_LEFTDOWNSTEP  14
#define SCROLLVIEW_RIGHTDOWNSTEP 15
#define SCROLLVIEW_LEFTUPSTEP    16
#define SCROLLVIEW_RIGHTUPSTEP   17
#define SCROLLVIEW_LEFTDOWNPAGE  18
#define SCROLLVIEW_RIGHTDOWNPAGE 19
#define SCROLLVIEW_LEFTUPPAGE    20
#define SCROLLVIEW_RIGHTUPPAGE   21


/* UTDDE.H */
/* end of file */


